Bug 245473 - www/py-django_polymorphic: Update to 2.1.2
Summary: www/py-django_polymorphic: Update to 2.1.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kai Knoblich
URL: https://github.com/django-polymorphic...
Keywords:
Depends on:
Blocks: 245470
  Show dependency treegraph
 
Reported: 2020-04-09 09:55 UTC by Kai Knoblich
Modified: 2020-04-23 10:57 UTC (History)
1 user (show)

See Also:
ports: maintainer-feedback+


Attachments
py-django_polymorphic-2.1.2.patch (1.57 KB, patch)
2020-04-09 09:55 UTC, Kai Knoblich
ports: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kai Knoblich freebsd_committer 2020-04-09 09:55:23 UTC
Created attachment 213211 [details]
py-django_polymorphic-2.1.2.patch

Hi,

attached is the patch that updates www/py-django_polymorphic to 2.1.2 and it's also intended to assign it to Django 2.2 (current LTS release) once bug #245470 will land.

The plan is outlined as follows:

1. Rename www/py-django_polymorphic to www/py-django-polymorphic to match the upstream naming at PyPI

2. Update www/py-django-polymorphic to 2.1.2 but keep it still assigned to Django 1.11.

3. Once bug #245470 gets its approval assign www/py-django-polymorphic to Django 2.2.

Changes to the port:
~~~~~~~~~~~~~~~~~~~~
- Fix a whitespace issue in pkg-plist and update the WWW field

QA:
~~~
- poudriere (11.3-RELEASE amd64 for each py27, py35, py36, py37 and py38 flavor) -> OK
- portlint -> OK
Comment 1 commit-hook freebsd_committer 2020-04-11 10:15:43 UTC
A commit references this bug:

Author: kai
Date: Sat Apr 11 10:15:07 UTC 2020
New revision: 531412
URL: https://svnweb.freebsd.org/changeset/ports/531412

Log:
  www/py-django_polymorphic: Rename to py-django-polymorphic, Update to 2.1.2

  * Use this update, which introduced support for Django 2.2 in the 2.1.0
    release, as preparation to switch from Django 1.11 (End-of-Life) to
    Django 2.2 (current LTS release) once the update for www/py-django-filer
    lands [1].

  * Rename the port to match the canonical name at PyPI.

  * Update the WWW field to spare users from redirects and fix a whitespace
    issue in the pkg-descr.

  * Bump PORTREVISION of its consumer www/py-django-filer due changed
    dependencies.

  Changelog:

  https://github.com/django-polymorphic/django-polymorphic/blob/v2.1.2/docs/changelog.rst

  PR:		245473, 245470 [1]
  Approved by:	Kevin Golding <ports@caomhin.org> (maintainer)

Changes:
  head/MOVED
  head/www/Makefile
  head/www/py-django-filer/Makefile
  head/www/py-django-polymorphic/
  head/www/py-django-polymorphic/Makefile
  head/www/py-django-polymorphic/distinfo
  head/www/py-django-polymorphic/pkg-descr
  head/www/py-django_polymorphic/
Comment 2 Kai Knoblich freebsd_committer 2020-04-11 10:29:42 UTC
Steps 1 and 2 from comment #0 were committed, thank you for your quick approval!

Once bug #245470 gets its approval, www/py-django-polymorphic can be switched to Django 2.2 (= step 3).
Comment 3 commit-hook freebsd_committer 2020-04-23 10:54:36 UTC
A commit references this bug:

Author: kai
Date: Thu Apr 23 10:53:58 UTC 2020
New revision: 532664
URL: https://svnweb.freebsd.org/changeset/ports/532664

Log:
  www/py-django-filer: Update to 1.7.0

  * Also assign the port to Django 2.2 because Django 1.11 is End-of-Life
    since April.

  * Do the the same for its dependencies and bump PORTREVISION
    accordingly. [1] [2]

  Changelog:

  https://github.com/divio/django-filer/blob/1.7.0/CHANGELOG.rst

  PR:		245470, 245472 [1] 245473 [2]
  Approved by:	maintainer timeout (14 days) [1],
  		Kevin Golding (maintainer) [2]

Changes:
  head/graphics/py-django-easy-thumbnails/Makefile
  head/www/py-django-filer/Makefile
  head/www/py-django-filer/distinfo
  head/www/py-django-js-asset/Makefile
  head/www/py-django-mptt/Makefile
  head/www/py-django-polymorphic/Makefile
Comment 4 Kai Knoblich freebsd_committer 2020-04-23 10:57:50 UTC
Step 3 (= assign www/py-django-polymorphic to Django 2.2) is complete, once again thank you for your feedback!